TestingFramework.hh File Reference

This file contains a little framework for test programms. More...

`#include "Config.hh"`
`#include <iosfwd>`
`#include <sstream>`
`#include <vector>`
`#include <algorithm>`
`#include <stdexcept>`
`#include <OpenMesh/Core/Utils/Noncopyable.hh>`
Include dependency graph for TestingFramework.hh:

Go to the source code of this file.

## Classes

class | OpenMesh::Utils::TestingFramework
| Helper class for test programms. More...

## Namespaces

| OpenMesh
| Contains all the mesh ingredients like the polygonal mesh, the triangle mesh, different mesh kernels and mesh traits.
| OpenMesh::Utils
| Collection of little utility classes and helpers.

## Macros

#define | TH_VERIFY(expr, expt) verify( expr, expt, #expr )
#define | TH_VERIFY_X(expr, expt) verify_x( expr, expt, #expr )

## Detailed Description

This file contains a little framework for test programms.